MD5SUM(1)

NAZWA
md5sum - oblicza i sprawdza skrót MD5

SKŁADNIA
md5sum [OPCJA]... [PLIK]...

OPIS

Wypisuje lub sprawdza sumę kontrolną MD5 (128-bit). Jest to przestarzały interfejs narzędzie cksum.

Jeśli nie podano PLIKU lub jako PLIK podano -, czyta standardowe wejście.

-b, --binary
    czyta w trybie binarnym

-c, --check
    sprawdzanie sum zapisanych w PLIKACH

--tag
    tworzy sumę kontrolną w stylu BSD

-t, --text
    czyta w trybie tekstowym (domyślnie)

-z, --zero
    zakończenie każdej linii na wyjściu znakiem NUL, a nie znakiem nowej linii i wyłączenie interpretacji znaków modyfikacji

  Następujących pięć opcji jest przydatnych tylko przy sprawdzaniu sum kontrolnych:

--ignore-missing
    nie zwraca błędu, ani nie informuje przy brakujących plikach

--quiet
    nie wyświetla OK po każdym pozytywnie zweryfikowanym pliku

--status
    nie wyświetla niczego, wynik można poznać za pomocą kodu wyjścia

--strict
    wychodzi z niezerowym kodem zakończenia przy niepoprawnie sformatowanych wierszach sum kontrolnych

-w, --warn
    ostrzega o niepoprawnie sformatowanych wierszach sum kontrolnych

--help
    wyświetla ten tekst i kończy pracę

--version
    wyświetla informacje o wersji i kończy działanie

Sumy są obliczane zgodnie z opisem w RFC 1321. Podczas sprawdzania, wejście powinno być wygenerowane wcześniej przez ten program. Domyślnym trybem jest wyświetlanie wiersza z: sumą kontrolną, spacją, znakiem określającym typ wejściowy (* - binarny, spacja - tekstowy lub z niewielką ilością binarnego) i nazwą każdego PLIKU.

W systemach GNU nie ma różnicy pomiędzy trybem binarnym a tekstowym.

USTERKI
Nie należy używać algorytmu MD5 w zastosowaniach związanych z bezpieczeństwem. Powinno się wówczas stosować algorytm SHA-2, SHA-3 lub BLAKE2, zaimplementowane w programie cksum(1).

AUTOR
Napisane przez Ulricha Dreppera, Scotta Millera i Davida Madore.

ZGŁASZANIE BŁĘDÓW
Zgłoszenia błędów proszę wysyłać na adres bug-coreutils@gnu.org
Strona internetowa GNU coreutils: <https://www.gnu.org/software/coreutils/>
Ogólna pomoc dotycząca oprogramowania GNU: <https://www.gnu.org/gethelp/>
O błędach tłumaczenia programu prosimy poinformować przez <https://translationproject.org/team/pl.html>

ZOBACZ TAKŻE
cksum(1)

Pełna dokumentacja: <https://www.gnu.org/software/coreutils/md5sum>
lub lokalnie, za pomocą info '(coreutils) md5sum invocation'

Spakietowane przez Debiana (9.10-1)
Copyright © 2026 Free Software Foundation, Inc.
Licencja GPLv3+: GNU GPL w wersji 3 lub późniejszej <https://gnu.org/licenses/gpl.html>.
Jest to wolne oprogramowanie: można je zmieniać i rozpowszechniać.
Nie ma ŻADNEJ GWARANCJI, w granicach określonych przez prawo.

TŁUMACZENIE
Tłumaczenie niniejszej strony podręcznika: Gwidon S. Naskrent <naskrent@hoth.amu.edu.pl>, Wojtek Kotwica <wkotwica@post.pl> i Michał Kułach <michal.kulach@gmail.com>

Niniejsze tłumaczenie jest wolną dokumentacją. Bliższe informacje o warunkach licencji można uzyskać zapoznając się z GNU General Public License w wersji 3 (https://www.gnu.org/licenses/gpl-3.0.html) lub nowszej. Nie przyjmuje się ŻADNEJ ODPOWIEDZIALNOŚCI.

Błędy w tłumaczeniu strony podręcznika prosimy zgłaszać na adres listy dyskusyjnej manpages-pl-list@lists.sourceforge.net.